commit:     75e0303148541a3016f44db596fc90c86e187032
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 15 20:02:50 2020 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Sep 15 20:04:05 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75e03031

app-admin/ansible-base: 2.10.1 bump

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 app-admin/ansible-base/Manifest                   |  1 +
 app-admin/ansible-base/ansible-base-2.10.1.ebuild | 74 +++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/app-admin/ansible-base/Manifest b/app-admin/ansible-base/Manifest
index 4c96f4823ec..bc5fd97adc4 100644
--- a/app-admin/ansible-base/Manifest
+++ b/app-admin/ansible-base/Manifest
@@ -1 +1,2 @@
 DIST ansible-base-2.10.0.tar.gz 5775091 BLAKE2B 
2a087b1a9d675c5218e8700f5b455ff280a5dc6e66b575a47755b9936c54594300e3c22acadbe14acfd335c3be788e3d63f6ad3c5c51650cbc036c77ceec41ef
 SHA512 
f9e9631f9ce77e55b06d01814422cbc0ca170e3fbbbd5886e4f87065b68b4d7eefe1c782f6dce14241cc548192c7b06ef778446636be02a342d4bd112000126e
+DIST ansible-base-2.10.1.tar.gz 5980851 BLAKE2B 
478c9ca6ebf423dea98830ed0447201dfb8db24f963f2fc849e0eab395611c1fb923c5060c397e12138c3e98d7118e367c4713f44ad07ca914e20c3044e74bba
 SHA512 
77bc2f3f6b924299add7e3a57beaf4a0517b036027a785c177874ae6a07a06679de65770a296f81ab0022cb0b495f17e2ceb772f906172fbf46fb65609be1ce2

diff --git a/app-admin/ansible-base/ansible-base-2.10.1.ebuild 
b/app-admin/ansible-base/ansible-base-2.10.1.ebuild
new file mode 100644
index 00000000000..4abf588a044
--- /dev/null
+++ b/app-admin/ansible-base/ansible-base-2.10.1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Model-driven deployment, config management, and command execution 
framework"
+HOMEPAGE="https://ansible.com/";
+SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
+IUSE="doc test"
+RESTRICT="test"
+
+RDEPEND="
+       dev-python/paramiko[${PYTHON_USEDEP}]
+       dev-python/jinja[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/cryptography[${PYTHON_USEDEP}]
+       dev-python/httplib2[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/netaddr[${PYTHON_USEDEP}]
+       dev-python/pexpect[${PYTHON_USEDEP}]
+       net-misc/sshpass
+       virtual/ssh
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/packaging-16.6[${PYTHON_USEDEP}]
+       doc? (
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               dev-python/sphinx-notfound-page[${PYTHON_USEDEP}]
+               >=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
+       )
+       test? (
+               ${RDEPEND}
+               dev-python/nose[${PYTHON_USEDEP}]
+               >=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
+               dev-python/passlib[${PYTHON_USEDEP}]
+               dev-python/coverage[${PYTHON_USEDEP}]
+               dev-python/unittest2[${PYTHON_USEDEP}]
+               dev-vcs/git
+       )"
+
+python_compile() {
+       # disable version checks on upgrade
+       export ANSIBLE_SKIP_CONFLICT_CHECK=1
+       distutils-r1_python_compile
+}
+
+python_compile_all() {
+       if use doc; then
+               cd docs/docsite || die
+               export CPUS=4
+               emake -f Makefile.sphinx html
+       fi
+}
+
+python_test() {
+       nosetests -d -w test/units -v --with-coverage --cover-package=ansible 
--cover-branches || die
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/docsite/_build/html/. )
+       distutils-r1_python_install_all
+
+       dodoc -r examples
+}

Reply via email to